//Modules to:
//  make lettering from xlcd-cover (R1)
//  subtract R1 lettering from R2 cover
//  subtract R1 lettering from R3 cover

//comment/uncomment as required

//R1_lettering();
//R2_engraved();
R3_engraved();
//R2R3_lettering();
    
module R2_engraved(){
    difference(){
        translate([249.3,210,0]) rotate([0,0,180]) import("xlcd-cover-R2.stl");
        R2R3_lettering();
    }
}

module R3_engraved(){
    difference(){
        translate([124.3,105,0]) rotate([0,0,180]) import("xlcd-cover-R3.stl");
        R2R3_lettering();
    }
}

module R1_lettering(){
    R1_letters();
    R1_USB();
    R1_X();
}

module R2R3_lettering(){
    R1_letters();
    R1_USB();
    translate([0,-0.3,0]) R1_X();
}

module R1_letters(){
    difference(){
        translate([63,77,0]) cube([18,53,0.5]); //Letters
        import("xlcd-cover.stl");//R1
    }
}

module R1_USB(){
    difference(){
        translate([172,85,0]) cube([18,10,0.5]); //USB
        import("xlcd-cover.stl");//R1
    }
}

module R1_X(){
    difference(){
        translate([175,124,0]) cube([8,7,0.5]);  //X
        import("xlcd-cover.stl");//R1
    }
}